# Installation
> `npm install --save @types/jquery-slugify`

# Summary
This package contains type definitions for jquery-slugify (https://github.com/madflow/jquery-slugify).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-slugify.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-slugify/index.d.ts)
````ts
/// <reference types="jquery" />

export type Options = Partial<{
    preSlug: (source: string) => string;
    postSlug: (source: string) => string;
    slugFunc: (input: string, options: Options) => string;
    separator: string;
    lang: string | boolean;
    symbols: boolean;
    maintainCase: boolean;
    titleCase: string[] | boolean;
    truncate: number;
    uric: boolean;
    uricNoSlash: boolean;
    mark: boolean;
    custom: string[];
}>;

declare global {
    interface JQuery {
        slugify(source: string, options?: Options): JQuery;
    }

    interface JQueryStatic {
        slugify(source: string, options?: Options): string;
    }
}

````

### Additional Details
 * Last updated: Wed, 18 Oct 2023 05:47:07 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery)

# Credits
These definitions were written by [Anderson Friaça](https://github.com/AndersonFriaca).
